@import "../../../assets/styles/main.scss";

.planListSection {
  width: 100%;
  height: fit-content;
  height: auto;
  position: relative;
  @include md {
    margin-bottom: -200px;
  }

  .planListBackground {
    width: 100%;
    height: 1207px;
    position: absolute;
    top: 0;

    img {
      height: 100%;
      width: 100%;
      object-fit: cover !important;
    }
  }
  .planListDetailsSection {
    top: 0;
    width: 100%;
    padding: 60px 0 120px;
    position: relative;
    background: getColorHex("background");
    &::after {
      content: "";
      position: absolute;
      height: 189px;
      width: 228px;
      left: 0px;
      top: 40px;
      background-image: url(https://stagecdn.waosim.com/landingpage/assets/icons/downArrowPlan.svg);
      background-position: center;
      background-repeat: no-repeat;
      background-size: contain;
      z-index: 1;
    }

    .planListcard {
      @include container-medium-1;
      .planListcardBackground {
        height: 500px;
        width: 100%;
        position: relative;
        z-index: 9;

        @include xl {
          height: 450px;
        }
        &:after {
          content: "";
          background: rgba(0, 0, 0, 0.44);
          position: absolute;
          max-width: 100%;
          width: 100%;
          height: 100%;
          border-radius: 40px;
          top: 0;
          left: 0;
          @include xl{
            height: 110%;
          }
        }
        
        .planListcardBackgroundImage {
          height: 500px;
          width: 100%;

          img {
            height: 100%;
            width: 100%;
            object-fit: cover !important;
            border-radius: 40px;
          }
        }
      }

      .countryFlagName {
        position: absolute;
        top: 42%;
        left: 50%;
        transform: translate(-50%, -50%);
        @include vertical_align_center;
        flex-direction: row;
        gap: 11px;
        color: getColorHex("white");
        z-index: 9;

        h2 {
          color: getColorHex("white");
          text-align: center;
          text-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
          @include inter700;
          font-size: 56px;
          letter-spacing: -0.84px;
        }

        .countryFlagSection {
          border: 5px solid getColorHex("white");
          border-radius: 50%;

          @include sm {
            top: 10px;
            left: 10px;
          }

          .card_round_item {
            position: relative;
            width: 50px;
            min-width: 50px;
            height: 50px;
            border-radius: 50%;

            img {
              border-radius: 50%;
              object-fit: cover !important;
              height: 100%;
              width: 100%;
            }
          }
        }
      }
      .planListDetailsBox {
        width: calc(100% - 224px);
        background: getColorHex("white");
        height: auto;
        box-shadow: 0px 4px 20px 0px #0000002b;
        border-radius: 32px;
        padding: 50px;
        display: flex;
        flex-direction: column;
        gap: 36px;
        margin: -136px auto 0px;
        position: relative;
        z-index: 99;
        @include xl {
          width: calc(100% - 120px);
        }
        @include lg {
          width: calc(100% - 90px);
          margin: -90px auto 0px;
          padding: 30px;
        }

        .planListInGb {
          display: grid;
          grid-template-columns: repeat(4, 1fr);
          gap: 24px;
          @include lg {
            gap: 15px;
          }

          @include md {
            grid-template-columns: repeat(2, 1fr);
          }

          @include xs {
            grid-template-columns: repeat(1, 1fr);
          }

          .planListInGbCard {
            background: getColorHex("white");
            position: relative;

            input[type="radio"] {
              display: none;
            }

            label {
              cursor: pointer;
              position: absolute;
              right: 15px;
              top: 15px;
              width: 20px;
              height: 20px;
              border: 2px solid #ebebeb;
              border-radius: 50%;
              transition: border-color 400ms ease;
            }
            input[type="radio"]:checked + label {
              border-color: getColorHex("orange");
            }
            input[type="radio"]:checked + label::after {
              transform: scale(0.55);
              transform: translate(-50%, -50%) !important;
            }

            label::after {
              content: "";
              position: absolute;
              width: 10px;
              height: 10px;
             
              background-color: #f47500;
              border-radius: 50%;
              top: 50%;
              left: 50%;
              transform: scale(0);
              transition: transform .3s ease;
            }

            input[type="radio"]:checked ~ .planDetails {
              border: 1px solid getColorHex("orange");
            }

            .active {
              border: 1px solid getColorHex("orange");
          
            }
            .planDetails {
              border: 1px solid #ebebeb;
              min-height: 138px;
              display: flex;
              flex-direction: column;
              gap: 14px;
              border-radius: 15px;
              padding: 15px;

              &:after {
                position: absolute;
                content: "";
                width: 119px;
                height: 67px;
                background-image: url("https://stagecdn.waosim.com/landingpage/assets/icons/plandetail _map_img.svg");
                background-position: center;
                background-repeat: no-repeat;
                background-size: contain;
                right: 0;
                bottom: 0;
              }

              &:hover {
                cursor: pointer;
              }
              span {
                color: getColorHex("black");
                @include inter700;
                font-size: 20px;
                line-height: 27.24px;
                @include lg {
                  font-size: 16px;
                }
              }
              p {
                font-size: 14px;
                line-height: 19.07px;
              }
              .popularPlan {
                position: absolute;
                border-radius: 10px 0px;
                background: getColorHex("orange");
                width: 70px;
                height: 25px;
                right: 0;
                bottom: 0;
                display: flex;
                align-items: center;
                justify-content: center;
                z-index: 9;
                h3 {
                  color: getColorHex("white");
                  text-align: center;
                  font-size: 14px;
                  @include inter500;
                  text-transform: capitalize;
                }
              }
            }

            img {
              height: 34px;
              width: 34px;
            }
          }
        }

        .planListNotification {
          border: 1px solid getColorHex("orange");
          padding: 10px 40px;
          border-radius: 10px;
          background: #fffaf7;

          p {
            @include inter700;
            font-size: 12px;
            line-height: 20px;
            text-align: center;
            color: getColorHex("black");
            text-transform: uppercase;
          }
        }
        .planListGbDetailsMain {
          display: flex;
          flex-flow: column;
          gap: 30px;
          .planListGbDetails {
            display: flex;
            flex-direction: column;
            gap: 30px;
            background: linear-gradient(90deg, #29323c 0%, #485563 100%);
            border-radius: 20px;
            padding: 15px 30px 15px 15px;
            position: relative;
            @include lg {
              padding: 15px 20px 15px 15px;
            }
            &:after {
              position: absolute;
              content: "";
              width: 195px;
              height: 109px;
              background-image: url("https://stagecdn.waosim.com/landingpage/assets/icons/plandetailList _map_img.svg");
              background-position: center;
              background-repeat: no-repeat;
              background-size: contain;
              right: 0;
              bottom: 30px;
            }

            .planListGbDetailsItem {
              display: flex;
              flex-direction: row;
              gap: 24px;

              @include lg {
                gap: 15px;
              }

              .planListCountryCard {
                padding: 10px;
                background-color: getColorHex("white");
                box-shadow: 0px 0px 17.2px 0px #a5a5a540;
                border-radius: 15px;
                max-width: 220px;
                width: 100%;
                height: 133px;
                position: relative;
                .planecoupan {
                  position: absolute;
                  background-image: url(https://stagecdn.waosim.com/landingpage/assets/plan_discount_img.png);
                  background-position: center;
                  background-repeat: no-repeat;
                  background-size: contain;
                  width: 71px;
                  height: 35px;
                  top: 5px;
                  right: 20px;

                  p {
                    color: getColorHex("white");
                    text-align: center;
                    text-shadow: 0px 1px 1px rgba(0, 0, 0, 0.25);
                    font-size: 10px;
                    @include inter400;
                    line-height: 11px;
                    margin-bottom: 8px;
                    padding-top: 4px;
                    left: 4%;
                    position: relative;
                    top: 0px;
                  }
                  h1 {
                    color: getColorHex("white");
                    text-align: center;
                    text-shadow: 0px 1px 1px rgba(0, 0, 0, 0.25);
                    font-size: 15px;
                    @include inter700;
                    line-height: 18px;
                    position: relative;
                    left: 6%;
                  }
                }

                p {
                  position: absolute;
                  top: 18px;
                  left: 20px;
                  font-size: 9.5px;
                  line-height: 12.94px;
                  text-align: left;
                }

                &_image {
                  height: 100%;
                  width: 100%;
                  border-radius: 10px;

                  img {
                    height: 100%;
                    width: 100%;
                    border-radius: 10px;
                    object-fit: cover !important;
                  }
                }
              }
              .planListDetailsMain {
                display: flex;
                flex-direction: row;
                gap: 24px;
                justify-content: space-between;
                width: 100%;
                @include lg {
                  gap: 15px;
                }
                .planListPlanDetails {
                  display: grid;
                  grid-template-columns: 120px 120px 120px auto;
                  color: getColorHex("white");
                  width: 100%;
                  align-items: center;
                  @include lg {
                    gap: 10px;
                    grid-template-columns: 95px 80px 80px auto;
                  }
                  .planListPlanDetailsCard {
                    display: flex;
                    flex-direction: column;
                    gap: 16px;

                    img,
                    .iconsContainer {
                      width: 40px;
                      height: 40px;

                      svg {
                        width: 100%;
                        height: 100%;
                      }
                    }
                    p {
                      @include inter400;
                      font-size: 12px;
                      line-height: 18px;
                      text-align: left;
                      color: getColorHex("white");
                    }

                    span {
                      @include inter700;
                      font-size: 16px;
                      line-height: 24px;
                      text-align: left;
                      color: getColorHex("white");
                      @include xl {
                        font-size: 15px;
                      }
                      @include lg {
                        font-size: 13px;
                      }
                      del {
                        color: #ffd600;
                        font-size: 12px;
                        @include inter400;
                      }
                    }
                  }
                }

                .planListBuyNowButton {
                  padding: 7px 0px 7px 0px;
                  display: flex;
                  flex-direction: column;
                  gap: 35px;
                  justify-content: space-between;
                  align-items: flex-end;
                  @include xxl {
                    padding: 7px 0px 7px 0px;
                  }

                  .planListBuyNowButtonGlobal {
                    user-select: none;
                    z-index: 9;

                    button {
                      min-width: 129px;
                      padding: 9px 20px;
                      font-size: 16px;
                      line-height: 19px;
                      text-transform: none;
                      text-align: center;
                      @include lg {
                        min-width: 125px;
                        padding: 10px 20px;
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}
.footer_color {
  background-color: getColorHex("background");
  width: 100%;
  height: 100px;
  position: absolute;
  transform: scaleY(1.1);
}
